; conduit.nsi
;
; This script is based on example1.nsi, but adds uninstall support
; and (optionally) start menu shortcuts.
;
; It will install notepad.exe into a directory that the user selects,
;

!include versions.nsi

; The default installation directory
InstallDir C:\Palm\Yanoff
; Registry key to check for directory (so if you install again, it will
; overwrite the old one automatically)
InstallDirRegKey HKEY_LOCAL_MACHINE SOFTWARE\Yanoff "Install_Dir"

LicenseText "The Yanoff Conduit is distributed under the GPL"
LicenseData "Copying.txt"
UninstallText "This will uninstall Yanoff Conduit. Hit next to continue."

; The text to prompt the user to enter a directory
ComponentText "This will install the Yanoff Java conduit on your computer. Select which optional things you want installed."
; The text to prompt the user to enter a directory
DirText "Choose a directory to install in to:"

; The stuff to install
Section "Yanoff Conduit (required)"
  ; Set output path to the installation directory.
  SetOutPath $INSTDIR
  ; Put file there
  File "YanoffConduit.jar"
  File "Copying.txt"
  File "..\installer\Install.exe"
  File "..\installer\ConduitInstall.exe"
  File "..\installer\condmgr.dll"
  File "..\installer\HSAPI.dll"
  File "..\installer\Instaide.dll"
  ExecWait '"$INSTDIR\Install.exe" /o /r MJyf Yanoff yanoff yanoff.dat 2 org.vanbest.yanoff.YanoffConduit "$INSTDIR\YanoffConduit.jar" SUN'
  ; Write the installation path into the registry
  WriteRegStr HKEY_LOCAL_MACHINE SOFTWARE\Yanoff "Install_Dir" "$INSTDIR"
  ; Write the uninstall keys for Windows
  WriteRegStr HKEY_LOCAL_MACHINE "Software\Microsoft\Windows\CurrentVersion\Uninstall\Yanoff" "DisplayName" "Yanoff Conduit (remove only)"
  WriteRegStr HKEY_LOCAL_MACHINE "Software\Microsoft\Windows\CurrentVersion\Uninstall\Yanoff" "UninstallString" '"$INSTDIR\uninstall.exe"'
  CreateDirectory "$SMPROGRAMS\Yanoff"
  CreateShortCut "$SMPROGRAMS\Yanoff\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0

  ; uninstall stuff
  WriteUninstaller "uninstall.exe"
SectionEnd

; optional section
Section "Documentation"
  File "Readme.txt"
  File "Copying.txt"
  File "History.txt"
  File "Todo.txt"
  CreateShortCut "$SMPROGRAMS\Yanoff\README.lnk" "$INSTDIR\Readme.txt"
  CreateShortCut "$SMPROGRAMS\Yanoff\COPYING.lnk" "$INSTDIR\Copying.txt"
  CreateShortCut "$SMPROGRAMS\Yanoff\HISTORY.lnk" "$INSTDIR\History.txt"
  CreateShortCut "$SMPROGRAMS\Yanoff\TODO.lnk" "$INSTDIR\Todo.txt"
SectionEnd

; special uninstall section.
Section "Uninstall"
  ; unregister conduit
  ExecWait '"$INSTDIR\Install.exe" /u /r MJyf'
  ; remove registry keys
  DeleteRegKey HKEY_LOCAL_MACHINE "Software\Microsoft\Windows\CurrentVersion\Uninstall\Yanoff"
  DeleteRegKey HKEY_LOCAL_MACHINE SOFTWARE\Yanoff
  ; remove files
  Delete $INSTDIR\YanoffConduit.jar
  Delete $INSTDIR\Copying.txt
  Delete $INSTDIR\Readme.txt
  Delete $INSTDIR\COPYRIGHT.txt
  Delete $INSTDIR\History.txt
  Delete $INSTDIR\Todo.txt
  ; MUST REMOVE UNINSTALLER, too
  Delete $INSTDIR\uninstall.exe
  ; remove shortcuts, if any.
  RMDir /r "$SMPROGRAMS\Yanoff"
  ; remove directories used.
  ; RMDir "$SMPROGRAMS\Example2"
  RMDir /r "$INSTDIR"
SectionEnd

; eof
