/**
 * Title:        Yanoff Conduit
 * Description:  A Java conduit for the Yanoff PalmOS newsreader.
 * Copyright:    Copyright (c) Jan-Pascal van Best
 * Email:	     janpascal@vanbest.org
 * @author       Jan-Pascal van Best
 **************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, version 2.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package org.vanbest.yanoff;

import java.util.*;
import java.io.*;
import java.lang.*;
import java.net.*;

public class Header {
    Vector headerLines;

    public Header() { headerLines = new Vector(); }

    public void addHeaderLine(String key, String value){
        headerLines.addElement(new HeaderLine(key, value));
    }

    public String toString() {
        String s = "";
        for (Enumeration e=headerLines.elements(); e.hasMoreElements();) {
            s = s + ((HeaderLine) e.nextElement()).toString() + "\r\n";
        } 
        return s;
    }

    public String valueOf(String key) {
        boolean found = false;
        String value = null;
        String lowerKey = new String(key).toLowerCase();
        for (Enumeration e=headerLines.elements(); e.hasMoreElements() && !found;) {
            HeaderLine header = (HeaderLine) e.nextElement();
            String otherKey=new String(header.key).toLowerCase();
            found = lowerKey.equals(otherKey);
            if (found) value = header.value;
        } 
        return value;
    }

}

