/**
 * Title:        Yanoff Conduit
 * Description:  A Java conduit for the Yanoff PalmOS newsreader.
 * Copyright:    Copyright (c) Jan-Pascal van Best
 * Email:	     janpascal@vanbest.org
 * @author       Jan-Pascal van Best
 **************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, version 2.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package org.vanbest.yanoff;

import java.io.DataOutputStream;
import palm.conduit.*;
import java.io.DataInputStream;

public class NewsgroupRecord extends PalmRecord {
    static final int SIZE_ON_PALM = 20; // By comparing memFree() before and after writing a record

    public int uid = 0;

    public NewsgroupRecord() { setId(0); }

    public NewsgroupRecord(int uid) {this.uid = uid; }
  
    public void writeData(DataOutputStream out) throws java.io.IOException {
        out.writeInt(uid);
    }

    public void readData(DataInputStream in) throws java.io.IOException {
        uid = in.readInt();
    }

    public String toString() {
        return "Newsgroup article: uid " + this.uid; //  + " " + super.toString();
    }

    /** Returns a formatted string representation of the object */
    public String toFormattedString() {
        return ("Newsgroup Record: {\r\n" + 
	        "  uid: " + this.uid + "\r\n" +
	        "}\r\n" + 
		super.toFormattedString());
    }
}
